jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.food-critic-blogs-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'food_critic_blogs_dismiss_notice'
        });
    });
});